% Copyright (C) 2008-2009 - Consortium Scilab - Digiteo - Vincent Couvert
% Copyright (C) 2008-2009 - INRIA - Serge Steer
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/


%% Chapter 3
\chapter{Non-linear least square}

\section{Mathematical point of view}

The problem of the non linear least-quare optimization is to find the solution of 
$$
\min_x \sum_x f(x)^2
$$
with bounds constraints or without constraints and with $f:\mathbb{R}^n \rightarrow \mathbb{R}^m$ the cost function.


\section{Scilab function}
Scilab function called \textit{lsqrsolve} is designed for the minimization of the sum of the squares of non-linear functions using a Levenberg-Marquardt algorithm. For more details about this function, please refer to 
\href{http://www.scilab.org/product/man/lsqrsolve.html}{
\underline{Scilab online help}
}
\section{Optimization routines}
Scilab \textit{lsqrsolve} function is based on the routines \textit{lmdif} and \textit{lmder} of the library \textsc{Minpack} (Argonne National Laboratory).
